## wu-ftpd 2.6.2

=== debian/changelog ===
wu-ftpd (2.6.2-35) unstable; urgency=low

  * QA upload.

  [ Robert Millan ]
  * Convert to 3.0 (quilt) source format.
  * kfreebsd_stdint.diff: Fix FTBFS on GNU/kFreeBSD.  (Closes: #664612)

  [ Jeroen Schot ]
  * Dutch translation update. (Closes: #658461)

  [ Beatrice Torracca ]
  * Add Italian translation. (Closes: #659137)

  [ Michał Kułach ]
  * Polish translation update. (Closes: #666779)

 -- Robert Millan <rmh@debian.org>  Fri, 06 Apr 2012 23:08:01 +0200

wu-ftpd (2.6.2-34) unstable; urgency=low

  * QA upload.
  * Add Depends on libperl4-corelibs-perl (Closes: #659432)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 18 Mar 2012 11:42:28 +0000

wu-ftpd (2.6.2-33) unstable; urgency=low

  * QA upload to orphan the package
    as agreed with previous maintainer.
    Thanks, Chris, for your work on this package.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Flamarion Jorge).  Closes: #594788
    - Danish (Joe Hansen).  Closes: #595533
    - Slovak (Slavko).  Closes: #618345

 -- Christian Perrier <bubulle@debian.org>  Mon, 14 Mar 2011 07:08:47 +0100

wu-ftpd (2.6.2-32) unstable; urgency=low

  * Fix path_to_device in src/extensions.c to cope with an empty fstab
    (closes: #568235)
  * Fixed regexps in addftpuser for architectures where the ELF dynamic linker
    is called ld.so. (closes: #550807)
  * Updated init.d script to depend on $remote_fs instead of $local_fs
  * Split Choices field in config template
  * Use dpkg-architecture in debian/rules.
  * Increase Standards-Version to 3.8.4

 -- Chris Butler <chrisb@debian.org>  Fri, 05 Feb 2010 01:05:13 +0000

wu-ftpd (2.6.2-31) unstable; urgency=low

  * Call db_stop in postinst before running update-inetd to
    workaround bug update-inetd bug #489494 (closes: #531565)
  * Add signal handler for SIGTERM that causes the server to exit
    (closes: #536774)
  * Copy latest config.{guess,sub} from autotools-dev package, added
    build-dep on autotools-dev (closes: #536261)
  * Fixed lintian warnings: add -e to prerm script, remove path to
    invoke-rc.d in postinst, fix path in addftpuser override
  * Converted example spanish message files to UTF-8
  * Updated Standards-Version to 3.8.2 - no changes required.
  * Moved AC_INIT call to after the divert/undivert for the license in
    configure.in (closes: #540524)
  * Fixed quota.h include in src/ftpd.c, fixes build failure on
    Debian/kfreebsd

 -- Chris Butler <chrisb@debian.org>  Sat, 15 Aug 2009 11:02:18 +0100

wu-ftpd (2.6.2-30) unstable; urgency=low

  * Removed logcheck ignore rules, to avoid conflict with logcheck-database
    package (closes: #486703)
  * Upped standards-version to 3.8.0
    - Added support for parallel option to debian/rules

 -- Chris Butler <chrisb@debian.org>  Sat, 21 Jun 2008 16:19:51 +0100

wu-ftpd (2.6.2-29) unstable; urgency=low

  * Incorporated changes from NMU.
  * Updated debconf translations: es, ja, eu, cs
    (closes: #435255, #463651, #481305, #481626)
  * Added new debconf translations: fi, gl, ru
    (closes: #481507, #481538, #481937)
  * Added script in /usr/share/bug to list installed inetd packages
  * Get rid of error message when inetd.conf does not exist
  * Remove bashism from debian/rules (closes: #478640)
  * Add Homepage and Vcs-* fields to debian/control
  * Fixed some lintian warnings
  * Patched the configure script to remove unnecesssary linking against -ldl
    and -lnsl

 -- Chris Butler <chrisb@debian.org>  Wed, 28 May 2008 11:23:33 +0100

wu-ftpd (2.6.2-28.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in postinst script (Closes: #473697)
  * Bump Standards-Version to 3.7.3.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 03:22:11 +0100

wu-ftpd (2.6.2-28) unstable; urgency=low

  * applied patch to fix output of SIZE command (closes: #433887)
  * fixed typo in template (closes: #433665)
  * updated debconf translations: pt, de, sv, eu, vi, fr, es, ca
    (closes: #433664, #434578, #434686, #434777)

 -- Chris Butler <chrisb@debian.org>  Sat, 21 Jul 2007 12:26:47 +0100

wu-ftpd (2.6.2-27) unstable; urgency=low

  * Made the init script LSB-compliant
  * Added Spanish debconf translation (closes: #428570)
  * Removed DH_COMPAT from debian/rules and replaced with debian/compat
  * Changed netbase dependency to depend on update-inetd
  * Removed old version migration code from debian/preinst as it's not
    required for upgrades from etch (or even sarge)
  * Updated some debconf questions to follow style guides

 -- Chris Butler <chrisb@debian.org>  Mon,  9 Jul 2007 14:34:40 +0100

wu-ftpd (2.6.2-26) unstable; urgency=high

  * Disabled MAIL_ADMIN functionality due to CVE-2003-1327 (closes:
    #425162)

 -- Chris Butler <chrisb@debian.org>  Tue, 22 May 2007 13:21:26 +0100

wu-ftpd (2.6.2-25) unstable; urgency=low

  * Incorporated changes from NMU
  * Fixed typo in addftpuser (closes: #380454)
  * Updated debconf translations: Japanese, Basque and German
    (closes: #393125, #398550, #401097)
  
 -- Chris Butler <chrisb@debian.org>  Mon, 11 Dec 2006 13:25:45 +0000
 

wu-ftpd (2.6.2-24.1) unstable; urgency=medium

  * NMU to fix release critical bug.
  * Only call update-inetd on purge when available (Closes: #389387).
  * Add missing build-dependency on po-debconf.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri,  6 Oct 2006 13:34:39 +0200

wu-ftpd (2.6.2-24) unstable; urgency=low

  * Fixed some integer overflow problems with session summary information
    (closes: #365440)
  * Updated Czech translation (closes: #370330)
  * Updated Standards-Version to 3.7.2

 -- Chris Butler <chrisb@debian.org>  Mon,  5 Jun 2006 13:47:27 +0100

wu-ftpd (2.6.2-23) unstable; urgency=low

  * Added code to check for ld-linux.so in the ldd output, as the format
    has recently changed (closes: #365997)
  * Updated Portuguese translation (closes: #364974)

 -- Chris Butler <chrisb@debian.org>  Mon,  8 May 2006 14:08:21 +0100

wu-ftpd (2.6.2-22) unstable; urgency=low


