=== debian/control ===
Source: wu-ftpd
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bison, libpam0g-dev, perl5, debhelper (>= 5.0.0), po-debconf, autoconf, autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.wu-ftpd.org/
Vcs-Svn: http://svn.crustynet.org.uk/repos/wu-ftpd/
Vcs-Browser: http://svn.crustynet.org.uk/cgi-bin/trac.cgi/browser/wu-ftpd

Package: wu-ftpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd, perl5 | perl, debianutils (>= 1.6), libperl4-corelibs-perl | perl (<< 5.12.3-7)
Suggests: logrotate
Conflicts: ftp-server, wu-ftpd-academ (<< 2.5.0), netbase (<< 2.0), logrotate (<< 3.6.5-1)
Replaces: wu-ftpd-academ (<< 2.5.0)
Provides: ftp-server
Description: powerful and widely used FTP server
 This FTP daemon, originally from the Washington University of St. Louis,
 is a powerful, and widely used replacement FTP server for Unix systems.
 The FTP protocol is a method of transferring files between machines on
 a network and/or over the Internet.
 .
 Besides fully supporting the FTP protocol defined in RFCs 959 and
 1579 (and others), it adds the following features:
     o  logging of transfers,
     o  logging of commands,
     o  on the fly compression and archiving,
     o  classification of users on type and location,
     o  per class limits,
     o  per directory upload permissions,
     o  restricted guest accounts,
     o  system wide and per directory messages,
     o  directory aliases,
     o  cdpath,
     o  filename filter,
     o  virtual host support (similar to the Apache HTTP server).
 .
 This release is maintained by the WU-FTPD Development Group as a
 public service to the Internet.
