=== debian/watch ===
version=3

# watch control file for uscan
# Site			Directory	Pattern			Version Script
ftp://ftp.wu-ftpd.org/pub/wu-ftpd/wu-ftpd-([\d\.]*)\.tar\.gz	debian	uupdate
